"use strict";

exports.__esModule = true;
exports.default = void 0;

var _path = require("path");

var _fs = require("fs");

var _pify = _interopRequireDefault(require("pify"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pRead = (0, _pify.default)(_fs.readFile);

var _default = async cwd => {
  const pkgFile = (0, _path.resolve)(cwd, 'package.json');
  return pkgFile ? JSON.parse((await pRead(pkgFile, 'utf8'))) : undefined;
};

exports.default = _default;