"use strict";

exports.__esModule = true;
exports.default = void 0;

var _replaceInFile = _interopRequireDefault(require("replace-in-file"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (keeps, name, author) => {
  const dict = new Map();
  ['name', 'short_name'].forEach(str => {
    dict.set(new RegExp(`"${str}": ".+"`, 'g'), `"${str}": "${name}"`);
  });
  dict.set(new RegExp('"author": ".+"', 'g'), `"author": "${author}"`);

  for (const entry of keeps) {
    dict.forEach((v, regex) => {
      _replaceInFile.default.sync({
        files: entry,
        from: regex,
        to: v
      });
    });
  }
};

exports.default = _default;