"use strict";

exports.__esModule = true;
exports.default = void 0;

var _devcertSan = _interopRequireDefault(require("devcert-san"));

var _chalk = _interopRequireDefault(require("chalk"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = () => {
  console.log(_chalk.default.blue('Setting up SSL certificate (may require sudo)...'));
  return (0, _devcertSan.default)('polymerx-cli', {
    installCertutil: true
  }).catch(error => {
    console.log(_chalk.default.red(`Failed to generate dev SSL certificate: ${error}`));
    return false;
  });
};

exports.default = _default;